package cn.com.qmth.scancentral;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

import com.github.jeffreyning.mybatisplus.conf.EnableMPP;
import com.qmth.boot.core.retrofit.annotatioin.RetrofitScan;

@EnableMPP
@SpringBootApplication
@EnableAsync
@EnableScheduling
@Configuration
@MapperScan("cn.com.qmth.scancentral.dao")
@RetrofitScan("cn.com.qmth.scancentral.client")
public class ScanApiApplication {

    public static void main(String[] args) {
        SpringApplication.run(ScanApiApplication.class, args);
    }

}
