package cn.com.qmth.scancentral.bean;

import cn.com.qmth.scancentral.enums.GroupType;
import cn.com.qmth.scancentral.util.PagerQuery;

import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;

public class AbsentQueryDomain extends PagerQuery {

    @NotNull(message = "考试ID不能为空")
    private Long examId;

    @NotNull(message = "分组类型不能为空")
    private GroupType groupType;

    private List<String> status = new ArrayList<>();

    private String campusCode;

    private String subjectCode;

    private String examSite;

    private String examRoom;

    private Boolean scanned;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public List<String> getStatus() {
        return status;
    }

    public void setStatus(List<String> status) {
        this.status = status;
    }

    public String getCampusCode() {
        return campusCode;
    }

    public void setCampusCode(String campusCode) {
        this.campusCode = campusCode;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public Boolean getScanned() {
        return scanned;
    }

    public void setScanned(Boolean scanned) {
        this.scanned = scanned;
    }

}
