package cn.com.qmth.scancentral.bean;

import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class BatchCreateDomain {

    @NotNull(message = "考试ID不能为空")
    private Long examId;

    @NotNull(message = "准考证号不能为空")
    @Size(min = 1, message = "准考证号不能为空")
    private List<String> examNumbers;
    @NotBlank(message = "subjectCode不能为空")
    private String subjectCode;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public List<String> getExamNumbers() {
        return examNumbers;
    }

    public void setExamNumbers(List<String> examNumbers) {
        this.examNumbers = examNumbers;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

}
