package cn.com.qmth.scancentral.bean;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class PageDeleteDomain {

    @NotNull(message = "考试Id不能为空")
    private Long examId;

    @NotBlank(message = "科目代码不能为空")
    private String subjectCode;

    @NotBlank(message = "准考证号不能为空")
    private String examNumber;

    @NotNull(message = "张数不能为空")
    @Min(value = 1, message = "张数不能小于1")
    private Integer paperNumber;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public Integer getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(Integer paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

}
