package cn.com.qmth.scancentral.bean;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 登陆信息
 */
public class ScannerLoginInfo implements Serializable {

    private static final long serialVersionUID = 1305354276321732681L;

    @ApiModelProperty(value = "设备ID")
    private String device;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备IP", hidden = true)
    private String deviceIp;

    @ApiModelProperty(value = "密码")
    private String password;

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceIp() {
        return deviceIp;
    }

    public void setDeviceIp(String deviceIp) {
        this.deviceIp = deviceIp;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

}
