package cn.com.qmth.scancentral.bean.card;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class CardPage {

    @JsonProperty("card_type")
    private int cardType;

    @JsonProperty("page_size")
    private String pageSize;

    @JsonProperty("page_image")
    private String pageImage;

    private Locator locator;

    @JsonProperty("info_area")
    private double[][] infoArea;

    @JsonProperty("answer_area")
    private List<AnswerArea> answerArea;

    @JsonProperty("fill_area")
    private List<FillArea> fillArea;

    public int getCardType() {
        return cardType;
    }

    public void setCardType(int cardType) {
        this.cardType = cardType;
    }

    public String getPageSize() {
        return pageSize;
    }

    public void setPageSize(String pageSize) {
        this.pageSize = pageSize;
    }

    public String getPageImage() {
        return pageImage;
    }

    public void setPageImage(String pageImage) {
        this.pageImage = pageImage;
    }

    public Locator getLocator() {
        return locator;
    }

    public void setLocator(Locator locator) {
        this.locator = locator;
    }

    public double[][] getInfoArea() {
        return infoArea;
    }

    public void setInfoArea(double[][] infoArea) {
        this.infoArea = infoArea;
    }

    public List<AnswerArea> getAnswerArea() {
        return answerArea;
    }

    public void setAnswerArea(List<AnswerArea> answerArea) {
        this.answerArea = answerArea;
    }

    public List<FillArea> getFillArea() {
        return fillArea;
    }

    public void setFillArea(List<FillArea> fillArea) {
        this.fillArea = fillArea;
    }
}
