package cn.com.qmth.scancentral.dao;

import cn.com.qmth.scancentral.entity.ExamEntity;
import cn.com.qmth.scancentral.vo.ExamVo;
import cn.com.qmth.scancentral.vo.examinfo.ExamQuery;
import cn.com.qmth.scancentral.vo.scanexamlist.ScanExamListQuery;
import cn.com.qmth.scancentral.vo.scanexamlist.ScanExamListVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExamDao extends BaseMapper<ExamEntity> {

    List<ScanExamListVo> getExamList(@Param("query") ScanExamListQuery query);

    IPage<ExamVo> pageExam(Page<ExamVo> page, @Param("query") ExamQuery query);
}
