package cn.com.qmth.scancentral.dao;

import cn.com.qmth.scancentral.bean.MismatchQueryDomain;
import cn.com.qmth.scancentral.entity.PaperEntity;
import cn.com.qmth.scancentral.vo.answerquery.StudentPaperVo;
import cn.com.qmth.scancentral.vo.mismatchquery.MismatchQueryVo;
import cn.com.qmth.scancentral.vo.mismatchquery.PaperPageDO;
import cn.com.qmth.scancentral.vo.paper.PaperCetVo;
import cn.com.qmth.scancentral.vo.paper.PaperVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PaperDao extends BaseMapper<PaperEntity> {

    List<StudentPaperVo> listByStudentIds(@Param(value = "paramList") List<Long> paramList);

    List<PaperVo> findStudentPaper(@Param("studentId") Long studentId);

    List<PaperPageDO> findMismatchByBatchIdAndStudentId(@Param("batchId") Long batchId,
            @Param("studentId") Long studentId);

    IPage<MismatchQueryVo> mismatchQueryPage(Page<MismatchQueryVo> page, @Param("query") MismatchQueryDomain query);

    List<PaperCetVo> findByStudentIds(@Param("studentIds") List<Long> studentIds);

    List<StudentPaperVo> listByBatchIdAndStudentId(@Param("batchId") Long batchId, @Param("studentId") Long studentId);

}
