package cn.com.qmth.scancentral.dao;

import cn.com.qmth.scancentral.entity.StudentPaperEntity;
import cn.com.qmth.scancentral.vo.StudentPaperCountVo;
import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StudentPaperDao extends MppBaseMapper<StudentPaperEntity> {

    List<StudentPaperEntity> findPaperIdByExamId(@Param("examId") Long examId);

    public List<StudentPaperCountVo> findStudentPaperCount(@Param(value = "paramList") List<Long> paramList);

    List<Long> findStudentIdByExamId(@Param("examId") Long examId, @Param("subjectCode") String subjectCode);
}
