package cn.com.qmth.scancentral.entity;

import cn.com.qmth.scancentral.entity.base.AuditingEntity;
import cn.com.qmth.scancentral.enums.BatchStatus;
import cn.com.qmth.scancentral.enums.CheckStatus;
import cn.com.qmth.scancentral.enums.VerifyStatus;
import com.baomidou.mybatisplus.annotation.TableName;

// 扫描批次
@TableName("sc_batch")
public class BatchEntity extends AuditingEntity {

    /**
     * 
     */
    private static final long serialVersionUID = 6630267744496706862L;

    private Long examId;

    private String device;

    // 可选
    private String packageCode;

    // 可选
    private String subjectCode;

    // 人数
    private Integer scanCount;

    // 人工绑定人数
    private Integer assignedCount;

    private BatchStatus status;

    private VerifyStatus verifyStatus;

    private CheckStatus checkStatus;

    private Long checkImageUserId;

    private Long checkImageTime;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public Integer getScanCount() {
        return scanCount;
    }

    public void setScanCount(Integer scanCount) {
        this.scanCount = scanCount;
    }

    public Integer getAssignedCount() {
        return assignedCount;
    }

    public void setAssignedCount(Integer assignedCount) {
        this.assignedCount = assignedCount;
    }

    public BatchStatus getStatus() {
        return status;
    }

    public void setStatus(BatchStatus status) {
        this.status = status;
    }

    public VerifyStatus getVerifyStatus() {
        return verifyStatus;
    }

    public void setVerifyStatus(VerifyStatus verifyStatus) {
        this.verifyStatus = verifyStatus;
    }

    public CheckStatus getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(CheckStatus checkStatus) {
        this.checkStatus = checkStatus;
    }

    public Long getCheckImageUserId() {
        return checkImageUserId;
    }

    public void setCheckImageUserId(Long checkImageUserId) {
        this.checkImageUserId = checkImageUserId;
    }

    public Long getCheckImageTime() {
        return checkImageTime;
    }

    public void setCheckImageTime(Long checkImageTime) {
        this.checkImageTime = checkImageTime;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

}
