package cn.com.qmth.scancentral.entity;

import cn.com.qmth.scancentral.entity.base.AuditingEntity;
import cn.com.qmth.scancentral.enums.TaskStatus;
import cn.com.qmth.scancentral.handle.OmrTaskPageListTypeHandler;
import cn.com.qmth.scancentral.model.OmrTaskPage;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.List;

// 识别对照任务
@TableName(value = "sc_omr_task", autoResultMap = true)
public class OmrTaskEntity extends AuditingEntity {

    /**
     * 
     */
    private static final long serialVersionUID = 1246294836247015804L;

    private Long examId;

    private Long groupId;

    private Long studentId;

    private Integer cardNumber;

    private TaskStatus status;

    private String device;

    private Integer paperNumber;

    private Long paperId;

    @TableField(value = "pages", typeHandler = OmrTaskPageListTypeHandler.class)
    private List<OmrTaskPage> pages;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }

    public TaskStatus getStatus() {
        return status;
    }

    public void setStatus(TaskStatus status) {
        this.status = status;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public Integer getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(Integer paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public List<OmrTaskPage> getPages() {
        return pages;
    }

    public void setPages(List<OmrTaskPage> pages) {
        this.pages = pages;
    }

}
