package cn.com.qmth.scancentral.enums;

/**
 * 图片检查状态
 */
public enum CheckStatus {

    WAITING("未处理"),

    FINISH("已处理");

    private String name;

    CheckStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static CheckStatus getByName(String name) {
        for (CheckStatus r : CheckStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
