package cn.com.qmth.scancentral.enums;

public enum ExamMode {

    COMMON("普通"),

    K12("基础教育"),

    POSTGRADUATE("研究生"),

    CET("四六级");

    private String name;

    ExamMode(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static ExamMode getByName(String name) {
        for (ExamMode r : ExamMode.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
