package cn.com.qmth.scancentral.enums;

public enum ExamStatus {

    OK("正常"), ABSENT("缺考"), UNCHECK1("客观题未作答+主观题有作答（待确认）"), UNCHECK2("客观题未作答+主观题未作答+填涂≥N+有卷型（待确认）"), UNCHECK3(
            "交叉对比缺考不一致（待确认）"),;

    private String name;

    ExamStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static ExamStatus getByName(String name) {
        for (ExamStatus r : ExamStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
