package cn.com.qmth.scancentral.enums;

public enum ExamStatusCheckMode {

    COMPARE("交叉对比"),

    OVERRIDE("覆盖");

    private String name;

    ExamStatusCheckMode(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static ExamStatusCheckMode getByName(String name) {
        for (ExamStatusCheckMode r : ExamStatusCheckMode.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
