package cn.com.qmth.scancentral.enums;

public enum GroupType {

    SUBJECT("科目", "subject_code"), PACKAGE("卷袋", "package_code"), CAMPUS("学习中心", "campus_name"), EXAM_SITE("考点",
            "exam_site"), EXAM_ROOM("考场", "exam_room"), STUDENT_CODE("学号", "student_code");

    private String name;

    private String fieldName;

    GroupType(String name, String fieldName) {
        this.name = name;
        this.fieldName = fieldName;
    }

    public String getName() {
        return name;
    }

    public String getFieldName() {
        return fieldName;
    }

    public static GroupType getByName(String name) {
        for (GroupType r : GroupType.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
