package cn.com.qmth.scancentral.enums;

public enum OmrStatus {

    SCANNED("已扫描"),

    MANUAL_ABSEN("人工指定缺考");

    private String name;

    OmrStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static OmrStatus getByName(String name) {
        for (OmrStatus r : OmrStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
