package cn.com.qmth.scancentral.enums;

public enum PaperTypeStatus {

    OK("正常"), BLANK("空白"), ERROR("异常"),;

    private String name;

    PaperTypeStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static PaperTypeStatus getByName(String name) {
        for (PaperTypeStatus r : PaperTypeStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
