package cn.com.qmth.scancentral.enums;

public enum QueryField {

    EXAM_NUMBER("准考证号"), SUBJECT("科目"), EXAM_SITE("考点"), CAMPUS("学习中心"), STUDENT_CODE("学号");

    private String name;

    QueryField(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static QueryField getByName(String name) {
        for (QueryField r : QueryField.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }
}
