package cn.com.qmth.scancentral.service;

import cn.com.qmth.scancentral.entity.BatchEntity;
import cn.com.qmth.scancentral.entity.BatchPaperEntity;
import cn.com.qmth.scancentral.entity.PaperEntity;
import com.github.jeffreyning.mybatisplus.service.IMppService;

import java.util.List;
import java.util.Set;

/**
 * 鉴权
 */
public interface BatchPaperService extends IMppService<BatchPaperEntity> {

    void update(BatchEntity batch, PaperEntity paper, Long studentId, Integer paperNumber, Boolean needCheck);

    List<BatchPaperEntity> findByBatchId(Long batchId);

    List<BatchPaperEntity> findByBatchIdAndStudentId(Long batchId, Long studentId);

    BatchPaperEntity findByBatchIdAndStudentIdAndPaperNumber(Long batchId, Long studentId, Integer paperNumber);

    BatchPaperEntity findByPaperId(Long paperId);

    List<Long> findStudentIdByBatchId(Long batchId);

    List<BatchPaperEntity> findByBatchIdAndStudentIds(Long id, Set<Long> checkIds);

    Integer getScanStudentCount(Long examId, String subjectCode, long startTime, long endTime);

}
