package cn.com.qmth.scancentral.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;

import cn.com.qmth.scancentral.bean.User;
import cn.com.qmth.scancentral.entity.MarkSiteEntity;
import cn.com.qmth.scancentral.vo.marksite.MarkSiteDomain;
import cn.com.qmth.scancentral.vo.marksite.MarkSitePageQuery;
import cn.com.qmth.scancentral.vo.marksite.MarkSitePageVo;

public interface MarkSiteService extends IService<MarkSiteEntity> {

    PageResult<MarkSitePageVo> findMarkSitePage(MarkSitePageQuery query);

    void saveMarkSite(MarkSiteDomain domain, User user);

    List<MarkSiteEntity> findByExamAndSubject(Long examId, String subejctCode);

}
