package cn.com.qmth.scancentral.service;

import java.util.List;

import javax.validation.constraints.NotNull;

import com.github.jeffreyning.mybatisplus.service.IMppService;

import cn.com.qmth.scancentral.entity.PaperPageEntity;
import cn.com.qmth.scancentral.vo.paper.PaperPageCetVo;

/**
 * 鉴权
 */
public interface PaperPageService extends IMppService<PaperPageEntity> {

    boolean updateSlicePath(@NotNull PaperPageEntity page);

    void deleteByPaperId(Long paperId);

    List<PaperPageEntity> listByPaperId(Long paperId);

    PaperPageEntity findPaperIdAndIndex(Long paperId, Integer index);

    List<PaperPageEntity> listByPaperList(List<Long> paperIds);

    boolean updateSheetPath(@NotNull PaperPageEntity page);

    List<PaperPageCetVo> listByStudentIds(List<Long> studentIds);

}
