package cn.com.qmth.scancentral.service;

import cn.com.qmth.scancentral.bean.card.CardFile;
import cn.com.qmth.scancentral.entity.PaperStructureEntity;
import cn.com.qmth.scancentral.enums.OmrField;
import cn.com.qmth.scancentral.vo.paperstructureinfo.PaperStructure;
import cn.com.qmth.scancentral.vo.paperstructureinfo.PaperStructureVo;
import com.baomidou.mybatisplus.extension.service.IService;

public interface PaperStructureService extends IService<PaperStructureEntity> {

    void updateByAnswerCard(CardFile cardFile, Long examId, Integer cardNumber);

    void deleteByAnswerCard(Long examId, Integer cardNumber);

    PaperStructureVo getByAnswerCard(Long examId, Integer cardNumber);

    PaperStructure getPaperStructure(Long examId, Integer cardNumber, Integer paperNumber, Integer pageIndex,
            Integer questionNumber, OmrField omrField);
}
