package cn.com.qmth.scancentral.service.impl;

import cn.com.qmth.scancentral.dao.PackageCardDao;
import cn.com.qmth.scancentral.entity.PackageCardEntity;
import cn.com.qmth.scancentral.service.PackageCardService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

@Service
public class PackageCardServiceImpl extends ServiceImpl<PackageCardDao, PackageCardEntity>
        implements PackageCardService {

    @Override
    public int getCountByExam(Long examId) {
        QueryWrapper<PackageCardEntity> wrapper = new QueryWrapper<>();
        LambdaQueryWrapper<PackageCardEntity> lw = wrapper.lambda();
        lw.eq(PackageCardEntity::getExamId, examId);
        return this.count(wrapper);
    }
}
