package cn.com.qmth.scancentral.task;

import cn.com.qmth.scancentral.service.PictureCopyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
public class PictureCopyJob {

    @Autowired
    private PictureCopyService pictureCopyService;

    @Scheduled(fixedDelay = 20 * 1000, initialDelay = 20 * 1000)
    public void process() {
        pictureCopyService.copy();
    }

}
