package cn.com.qmth.scancentral.util;

import cn.com.qmth.scancentral.enums.ExamStatus;
import com.qmth.boot.tools.excel.convertor.ValueConvertor;
import com.qmth.boot.tools.excel.model.FieldParam;
import org.apache.poi.ss.usermodel.Cell;

public class ExamStatusConvertor implements ValueConvertor<ExamStatus> {

    @Override
    public ExamStatus parse(String value, FieldParam param) throws Exception {
        for (ExamStatus obj : ExamStatus.values()) {
            if (obj.getName().equals(value) || obj.toString().equalsIgnoreCase(value)) {
                return obj;
            }
        }
        return null;
    }

    @Override
    public void format(ExamStatus object, FieldParam param, Cell cell) throws Exception {
        cell.setCellValue(object.getName());
    }

}
