package cn.com.qmth.scancentral.validator;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;
import java.util.Collection;

/**
 * 验证文件是否存在的自定义验证器 TODO 需要解决外部servcie自动注入问题再正式使用
 */
public class FileExistValidator implements ConstraintValidator<FileExist, Object> {

    @SuppressWarnings("unchecked")
    @Override
    public boolean isValid(Object value, ConstraintValidatorContext context) {
        if (value == null) {
            return false;
        }
        if (value instanceof String) {
            String path = (String) value;
            return validate(path);
        }
        if (value instanceof Collection) {
            return validate((Collection<String>) value);
        }
        if (value instanceof String[]) {
            return validate((String[]) value);
        }
        return false;
    }

    private boolean validate(String path) {
        return false;
    }

    private boolean validate(Collection<String> paths) {
        return false;
    }

    private boolean validate(String[] paths) {
        return false;
    }
}
