package cn.com.qmth.scancentral.vo;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;

public class AbsentQueryVo {

    private String groupType;

    @ExcelColumn(name = "卷袋/科目/学习中心...", index = 0)
    private String groupName;

    @ExcelColumn(name = "考生总数", index = 1)
    private Integer totalCount;

    @ExcelColumn(name = "已扫描", index = 2)
    private Integer scannedCount;

    @ExcelColumn(name = "未扫描", index = 3)
    private Integer unexistCount;

    @ExcelColumn(name = "指定缺考", index = 4)
    private Integer manualAbsentCount;

    @ExcelColumn(name = "识别缺考", index = 5)
    private Integer omrAbsentCount;

    @ExcelColumn(name = "缺考异常", index = 6)
    private Integer absentSuspectCount;

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getScannedCount() {
        return scannedCount;
    }

    public void setScannedCount(Integer scannedCount) {
        this.scannedCount = scannedCount;
    }

    public Integer getUnexistCount() {
        return unexistCount;
    }

    public void setUnexistCount(Integer unexistCount) {
        this.unexistCount = unexistCount;
    }

    public Integer getManualAbsentCount() {
        return manualAbsentCount;
    }

    public void setManualAbsentCount(Integer manualAbsentCount) {
        this.manualAbsentCount = manualAbsentCount;
    }

    public Integer getOmrAbsentCount() {
        return omrAbsentCount;
    }

    public void setOmrAbsentCount(Integer omrAbsentCount) {
        this.omrAbsentCount = omrAbsentCount;
    }

    public Integer getAbsentSuspectCount() {
        return absentSuspectCount;
    }

    public void setAbsentSuspectCount(Integer absentSuspectCount) {
        this.absentSuspectCount = absentSuspectCount;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

}
