package cn.com.qmth.scancentral.vo;

import cn.com.qmth.scancentral.enums.ExamStatus;
import cn.com.qmth.scancentral.enums.ScanStatus;
import cn.com.qmth.scancentral.util.ExamStatusConvertor;
import cn.com.qmth.scancentral.util.ScanStatusConvertor;
import com.qmth.boot.tools.excel.annotation.ExcelColumn;

public class AnswerExportK12Vo {

    private Long id;

    private String examNumber;

    @ExcelColumn(name = "考生编号", index = 0)
    private String studentCode;

    @ExcelColumn(name = "姓名", index = 1)
    private String name;

    @ExcelColumn(name = "科目代码", index = 2)
    private String subjectCode;

    @ExcelColumn(name = "科目名称", index = 3)
    private String subjectName;

    @ExcelColumn(name = "卷袋编号", index = 4)
    private String packageCode;

    @ExcelColumn(name = "校区", index = 5)
    private String campusCode;

    @ExcelColumn(name = "校区名称", index = 6)
    private String campusName;

    @ExcelColumn(name = "考点", index = 7)
    private String examSite;

    @ExcelColumn(name = "考点名称", index = 8)
    private String examSiteName;

    @ExcelColumn(name = "考场", index = 9)
    private String examRoom;

    @ExcelColumn(name = "座位号", index = 10)
    private String seatNumber;

    @ExcelColumn(name = "考试状态", index = 11, convertor = ExamStatusConvertor.class)
    private ExamStatus examStatus;

    @ExcelColumn(name = "扫描状态", index = 12, convertor = ScanStatusConvertor.class)
    private ScanStatus status;

    @ExcelColumn(name = "扫描张数", index = 13)
    private Integer paperCount;

    @ExcelColumn(name = "缺考异常", index = 14)
    private Boolean absentSuspect;

    @ExcelColumn(name = "识别缺考", index = 15)
    private Boolean omrAbsent;

    @ExcelColumn(name = "人工指定", index = 16)
    private Boolean assigned;

    @ExcelColumn(name = "缺页", index = 17)
    private Boolean incomplete;

    @ExcelColumn(name = "客观题填涂", index = 18)
    private Boolean questionFilled;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public String getCampusName() {
        return campusName;
    }

    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getSeatNumber() {
        return seatNumber;
    }

    public void setSeatNumber(String seatNumber) {
        this.seatNumber = seatNumber;
    }

    public ScanStatus getStatus() {
        return status;
    }

    public void setStatus(ScanStatus status) {
        this.status = status;
    }

    public Boolean getAbsentSuspect() {
        return absentSuspect;
    }

    public void setAbsentSuspect(Boolean absentSuspect) {
        this.absentSuspect = absentSuspect;
    }

    public Boolean getOmrAbsent() {
        return omrAbsent;
    }

    public void setOmrAbsent(Boolean omrAbsent) {
        this.omrAbsent = omrAbsent;
    }

    public Boolean getAssigned() {
        return assigned;
    }

    public void setAssigned(Boolean assigned) {
        this.assigned = assigned;
    }

    public Boolean getIncomplete() {
        return incomplete;
    }

    public void setIncomplete(Boolean incomplete) {
        this.incomplete = incomplete;
    }

    public Boolean getQuestionFilled() {
        return questionFilled;
    }

    public void setQuestionFilled(Boolean questionFilled) {
        this.questionFilled = questionFilled;
    }

    public Integer getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount) {
        this.paperCount = paperCount;
    }

}
