package cn.com.qmth.scancentral.vo.assginedcheck;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;

/**
 * @author tin.yin
 * @since 2024/4/17 14:19
 */
public class AssignedCheckExport {

    private Long id;

    @ExcelColumn(name = "准考证号", index = 0)
    private String examNumber;

    @ExcelColumn(name = "姓名", index = 1)
    private String name;

    @ExcelColumn(name = "科目代码", index = 2)
    private String subjectCode;

    @ExcelColumn(name = "卷袋号", index = 3)
    private String packageCode;

    @ExcelColumn(name = "考点", index = 4)
    private String examSite;

    @ExcelColumn(name = "人工绑定异常", index = 5)
    private Boolean assignedSuspect;

    @ExcelColumn(name = "人工绑定确认次数", index = 6)
    private Integer assignedCheckCount;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public Boolean getAssignedSuspect() {
        return assignedSuspect;
    }

    public void setAssignedSuspect(Boolean assignedSuspect) {
        this.assignedSuspect = assignedSuspect;
    }

    public Integer getAssignedCheckCount() {
        return assignedCheckCount;
    }

    public void setAssignedCheckCount(Integer assignedCheckCount) {
        this.assignedCheckCount = assignedCheckCount;
    }
}
