package cn.com.qmth.scancentral.vo.batchdetail;

import cn.com.qmth.scancentral.entity.BatchEntity;
import cn.com.qmth.scancentral.enums.BatchStatus;
import cn.com.qmth.scancentral.enums.VerifyStatus;

import java.util.List;

public class BatchDetailVo {

    private Long id;

    private String device;

    private BatchStatus status;

    private String packageCode;

    private Integer count;

    private Boolean withVerify;

    private Integer assignedCount;

    private Boolean incomplete;

    private Long createTime;

    private List<BatchStudentVo> students;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public BatchStatus getStatus() {
        return status;
    }

    public void setStatus(BatchStatus status) {
        this.status = status;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Boolean getWithVerify() {
        return withVerify;
    }

    public void setWithVerify(Boolean withVerify) {
        this.withVerify = withVerify;
    }

    public Integer getAssignedCount() {
        return assignedCount;
    }

    public void setAssignedCount(Integer assignedCount) {
        this.assignedCount = assignedCount;
    }

    public Boolean getIncomplete() {
        return incomplete;
    }

    public void setIncomplete(Boolean incomplete) {
        this.incomplete = incomplete;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public List<BatchStudentVo> getStudents() {
        return students;
    }

    public void setStudents(List<BatchStudentVo> students) {
        this.students = students;
    }

    public void update(BatchEntity batchEntity) {
        id = batchEntity.getId();
        device = batchEntity.getDevice();
        status = batchEntity.getStatus();
        packageCode = batchEntity.getPackageCode();
        count = batchEntity.getScanCount();
        assignedCount = batchEntity.getAssignedCount();
        withVerify = VerifyStatus.REJECT.equals(batchEntity.getVerifyStatus())
                || VerifyStatus.CONFIRM.equals(batchEntity.getVerifyStatus());
        // TODO 后续补充
        incomplete = false;
        createTime = batchEntity.getCreateTime();
    }
}
