package cn.com.qmth.scancentral.vo.card;

import io.swagger.annotations.ApiModelProperty;

public class CardEdit {

    @ApiModelProperty(value = "考试ID", required = true)
    private Long examId;

    @ApiModelProperty(value = "卡格式编号", required = false,hidden = false)
    private Integer number;

    @ApiModelProperty(value = "科目代码")
    private String subjectCode;

    @ApiModelProperty(value = "属性-json内容", hidden = true)
    private String parameter;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "卡格式文件MD5", required = true)
    private String md5;

    @ApiModelProperty(value = "DPI", hidden = true)
    private Integer dpi;

    @ApiModelProperty(value = "张数", required = true)
    private Integer paperCount;

    @ApiModelProperty(value = "单页题卡", required = true)
    private Boolean singlePage;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getParameter() {
        return parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public Integer getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount) {
        this.paperCount = paperCount;
    }

    public Integer getDpi() {
        return dpi;
    }

    public void setDpi(Integer dpi) {
        this.dpi = dpi;
    }

    public Boolean getSinglePage() {
        return singlePage;
    }

    public void setSinglePage(Boolean singlePage) {
        this.singlePage = singlePage;
    }

}
