package cn.com.qmth.scancentral.vo.examroom;

import javax.validation.constraints.NotNull;

import cn.com.qmth.scancentral.util.PagerQuery;

public class ExamRoomScannedQuery extends PagerQuery {

    @NotNull(message = "考试ID不能为空")
    private Long examId;

    private String campusCode;

    private String subjectCode;

    private String examSite;

    private String examRoom;

    private String province;

    private Boolean scanned;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCampusCode() {
        return campusCode;
    }

    public void setCampusCode(String campusCode) {
        this.campusCode = campusCode;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public Boolean getScanned() {
        return scanned;
    }

    public void setScanned(Boolean scanned) {
        this.scanned = scanned;
    }

}
