package cn.com.qmth.scancentral.vo.imagecheck;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import io.swagger.annotations.ApiModelProperty;

public class ImageCheckDetailVo {

    @ExcelColumn(name = "科目代码", index = 1)
    @ApiModelProperty(value = "科目代码")
    private String subjectCode;

    @ExcelColumn(name = "科目名称", index = 2)
    @ApiModelProperty(value = "科目名称")
    private String subjectName;

    @ExcelColumn(name = "校区", index = 3)
    @ApiModelProperty(value = "校区")
    private String campusCode;

    @ExcelColumn(name = "校区名称", index = 4)
    @ApiModelProperty(value = "校区名称")
    private String campusName;

    @ExcelColumn(name = "考点", index = 5)
    @ApiModelProperty(value = "考点")
    private String examSite;

    @ExcelColumn(name = "考点名称", index = 6)
    @ApiModelProperty(value = "考点名称")
    private String examSiteName;

    @ExcelColumn(name = "考场", index = 7)
    @ApiModelProperty(value = "考场")
    private String examRoom;

    @ExcelColumn(name = "是否异常", index = 8)
    @ApiModelProperty(value = "是否异常")
    private Boolean failed;

    @JsonIgnore
    @ApiModelProperty(value = "异常数量", hidden = true)
    private Integer failedCount;

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getCampusCode() {
        return campusCode;
    }

    public void setCampusCode(String campusCode) {
        this.campusCode = campusCode;
    }

    public String getCampusName() {
        return campusName;
    }

    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamSiteName() {
        return examSiteName;
    }

    public void setExamSiteName(String examSiteName) {
        this.examSiteName = examSiteName;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public Integer getFailedCount() {
        return failedCount;
    }

    public void setFailedCount(Integer failedCount) {
        this.failedCount = failedCount;
    }

    public Boolean getFailed() {
        return failed;
    }

    public void setFailed(Boolean failed) {
        this.failed = failed;
    }

}
