package cn.com.qmth.scancentral.vo.mismatchquery;

import java.util.ArrayList;
import java.util.List;

public class MismatchQueryVo {

    private Long studentId;

    private String examNumber;

    private String name;

    private String subjectCode;

    private String subjectName;

    private Long batchId;

    private String device;

    private Long createTime;

    private Integer cardNumber;

    private List<MismatchPaperVo> papers;

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }

    public List<MismatchPaperVo> getPapers() {
        return papers;
    }

    public void setPapers(List<MismatchPaperVo> papers) {
        this.papers = papers;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public void addPaperPage(PaperPageDO paperPage) {
        MismatchPaperVo paper = null;
        if (papers == null) {
            papers = new ArrayList<>();
        } else {
            for (MismatchPaperVo vo : papers) {
                if (vo.getNumber().equals(paperPage.getPaperNumber())) {
                    paper = vo;
                    break;
                }
            }
        }
        if (paper == null) {
            paper = new MismatchPaperVo();
            paper.setId(paperPage.getPaperId());
            paper.setNumber(paperPage.getPaperNumber());
            paper.setPages(new ArrayList<>());
            papers.add(paper);
        }
        paper.getPages().add(paperPage.getSheetPath());
    }
}
