package cn.com.qmth.scancentral.vo.paperstructureinfo;

import cn.com.qmth.scancentral.entity.PaperStructureEntity;
import cn.com.qmth.scancentral.enums.OmrField;

public class PaperStructure {

    private Long examId;

    private Integer cardNumber;

    private Integer paperNumber;

    private Integer pageIndex;

    private OmrField field;

    private Integer questionNumber;

    private Boolean single;

    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(Integer paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public OmrField getField() {
        return field;
    }

    public void setField(OmrField field) {
        this.field = field;
    }

    public Integer getQuestionNumber() {
        return questionNumber;
    }

    public void setQuestionNumber(Integer questionNumber) {
        this.questionNumber = questionNumber;
    }

    public Boolean getSingle() {
        return single;
    }

    public void setSingle(Boolean single) {
        this.single = single;
    }

    public static PaperStructure of(PaperStructureEntity e) {
        PaperStructure v = new PaperStructure();
        v.setExamId(e.getExamId());
        v.setCardNumber(e.getCardNumber());
        v.setField(e.getField());
        v.setPaperNumber(e.getPaperNumber());
        v.setPageIndex(e.getPageIndex());
        v.setQuestionNumber(e.getQuestionNumber());
        v.setSingle(e.getSingle());
        return v;
    }

}
