package cn.com.qmth.scancentral.vo.scanexaminfo;

import java.util.List;

import cn.com.qmth.scancentral.enums.ExamMode;
import cn.com.qmth.scancentral.enums.ImageTransferMode;

public class Config {

    private ExamMode mode;

    private Boolean scanByPackage;

    private Boolean allowUnexistPaper;

    private Integer answerFrontCardType;

    private Boolean enableSinglePageAnswer;

    private ImageTransferMode imageTransferMode;

    private Boolean enableSyncVerify;

    private List<String> paperTypeBarcodeContent;

    private String absentBarcodeContent;

    private Integer scannerAssignedMaxCount;

    public ExamMode getMode() {
        return mode;
    }

    public void setMode(ExamMode mode) {
        this.mode = mode;
    }

    public Boolean getScanByPackage() {
        return scanByPackage;
    }

    public void setScanByPackage(Boolean scanByPackage) {
        this.scanByPackage = scanByPackage;
    }

    public Boolean getAllowUnexistPaper() {
        return allowUnexistPaper;
    }

    public void setAllowUnexistPaper(Boolean allowUnexistPaper) {
        this.allowUnexistPaper = allowUnexistPaper;
    }

    public Integer getAnswerFrontCardType() {
        return answerFrontCardType;
    }

    public void setAnswerFrontCardType(Integer answerFrontCardType) {
        this.answerFrontCardType = answerFrontCardType;
    }

    public Boolean getEnableSinglePageAnswer() {
        return enableSinglePageAnswer;
    }

    public void setEnableSinglePageAnswer(Boolean enableSinglePageAnswer) {
        this.enableSinglePageAnswer = enableSinglePageAnswer;
    }

    public ImageTransferMode getImageTransferMode() {
        return imageTransferMode;
    }

    public void setImageTransferMode(ImageTransferMode imageTransferMode) {
        this.imageTransferMode = imageTransferMode;
    }

    public Boolean getEnableSyncVerify() {
        return enableSyncVerify;
    }

    public void setEnableSyncVerify(Boolean enableSyncVerify) {
        this.enableSyncVerify = enableSyncVerify;
    }

    public List<String> getPaperTypeBarcodeContent() {
        return paperTypeBarcodeContent;
    }

    public void setPaperTypeBarcodeContent(List<String> paperTypeBarcodeContent) {
        this.paperTypeBarcodeContent = paperTypeBarcodeContent;
    }

    public String getAbsentBarcodeContent() {
        return absentBarcodeContent;
    }

    public void setAbsentBarcodeContent(String absentBarcodeContent) {
        this.absentBarcodeContent = absentBarcodeContent;
    }

    public Integer getScannerAssignedMaxCount() {
        return scannerAssignedMaxCount;
    }

    public void setScannerAssignedMaxCount(Integer scannerAssignedMaxCount) {
        this.scannerAssignedMaxCount = scannerAssignedMaxCount;
    }
}
