package cn.com.qmth.scancentral.vo.scanexaminfo;

import cn.com.qmth.scancentral.vo.examinfo.SubjectConfig;

import java.util.ArrayList;
import java.util.List;

public class ScanExamInfoVo {

    private Long id;

    private String schoolName;

    private String name;

    private Config examConfig;

    private List<SubjectConfig> subjectConfig;

    private AnswerScan answerScan;

    private PackageScan packageScan;

    private OmrTask omrTask;

    private PackageTask packageTask;

    private StudentAnswerTask studentAnswerTask;

    public ScanExamInfoVo() {
        examConfig = new Config();
        answerScan = new AnswerScan();
        packageScan = new PackageScan();
        omrTask = new OmrTask();
        packageTask = new PackageTask();
        subjectConfig = new ArrayList<>();
        studentAnswerTask = new StudentAnswerTask();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Config getExamConfig() {
        return examConfig;
    }

    public void setExamConfig(Config examConfig) {
        this.examConfig = examConfig;
    }

    public AnswerScan getAnswerScan() {
        return answerScan;
    }

    public void setAnswerScan(AnswerScan answerScan) {
        this.answerScan = answerScan;
    }

    public PackageScan getPackageScan() {
        return packageScan;
    }

    public void setPackageScan(PackageScan packageScan) {
        this.packageScan = packageScan;
    }

    public OmrTask getOmrTask() {
        return omrTask;
    }

    public void setOmrTask(OmrTask omrTask) {
        this.omrTask = omrTask;
    }

    public PackageTask getPackageTask() {
        return packageTask;
    }

    public void setPackageTask(PackageTask packageTask) {
        this.packageTask = packageTask;
    }

    public List<SubjectConfig> getSubjectConfig() {
        return subjectConfig;
    }

    public void setSubjectConfig(List<SubjectConfig> subjectConfig) {
        this.subjectConfig = subjectConfig;
    }

    public StudentAnswerTask getStudentAnswerTask() {
        return studentAnswerTask;
    }

    public void setStudentAnswerTask(StudentAnswerTask studentAnswerTask) {
        this.studentAnswerTask = studentAnswerTask;
    }

}
