package cn.com.qmth.scancentral.vo.user;

import cn.com.qmth.scancentral.enums.Role;
import cn.com.qmth.scancentral.util.PagerQuery;
import io.swagger.annotations.ApiModelProperty;

public class UserQuery extends PagerQuery {

    @ApiModelProperty(value = "角色")
    private Role role;

    @ApiModelProperty(value = "是否启用", hidden = true)
    private Boolean enable;

    public Role getRole() {
        return role;
    }

    public void setRole(Role role) {
        this.role = role;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

}
