package cn.com.qmth.scancentral.bean;

import cn.com.qmth.scancentral.enums.Role;
import com.qmth.boot.core.security.model.AccessEntity;

public class User implements AccessEntity {

    private Long id;

    private String name;

    private String account;

    private String sessionId;

    private String accessToken;

    private Role role;

    private Long activeTime;

    private String markingCloudToken;

    public String buildKey() {
        this.sessionId = new StringBuilder().append(role.name()).append("_").append(account).toString();
        return this.sessionId;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public Role getRole() {
        return role;
    }

    public void setRole(Role role) {
        this.role = role;
    }

    public Long getActiveTime() {
        return activeTime;
    }

    public void setActiveTime(Long activeTime) {
        this.activeTime = activeTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String getIdentity() {
        return sessionId;
    }

    @Override
    public String getSecret() {
        return accessToken;
    }

    public String getMarkingCloudToken() {
        return markingCloudToken;
    }

    public void setMarkingCloudToken(String markingCloudToken) {
        this.markingCloudToken = markingCloudToken;
    }

    @Override
    public String getLogName() {
        return role + " | " + name + " | uid_" + id;
    }
}
