package cn.com.qmth.scancentral.bean.omredit;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

public class OmrEditDomain {

    @NotNull(message = "考试ID不能为空")
    private Long examId;

    @NotBlank(message = "subjectCode不能为空")
    private String subjectCode;

    @NotBlank(message = "准考证号不能为空")
    private String examNumber;

    @Valid
    @NotNull(message = "papers不能为空")
    @Size(min = 1, message = "papers不能为空")
    private List<OmrEditPaper> papers;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public List<OmrEditPaper> getPapers() {
        return papers;
    }

    public void setPapers(List<OmrEditPaper> papers) {
        this.papers = papers;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

}
