package cn.com.qmth.scancentral.config;

import cn.com.qmth.scancentral.bean.User;
import cn.com.qmth.scancentral.util.ServletUtil;
import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import org.apache.ibatis.reflection.MetaObject;

import java.util.Date;

public class FillMetaObjectHandler implements MetaObjectHandler {

    @Override
    public void insertFill(MetaObject metaObject) {
        User user = ServletUtil.getSessionUser();
        if (user != null) {
            this.setFieldValByName("creatorId", user.getId(), metaObject);
        }
        if (this.getFieldValByName("createTime", metaObject) == null) {
            this.setFieldValByName("createTime", new Date().getTime(), metaObject);
        }
        this.setFieldValByName("updateTime", new Date().getTime(), metaObject);
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        User user = ServletUtil.getSessionUser();
        if (user != null) {
            this.setFieldValByName("updaterId", user.getId(), metaObject);
        }
        this.setFieldValByName("updateTime", new Date().getTime(), metaObject);
    }

}
