package cn.com.qmth.scancentral.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SysProperty {

    @Value("${com.qmth.solar.app-version}")
    private String version;

    /**
     * 心跳超时时间（秒）
     */
    @Value("${scancentral.heartbeat-timeout}")
    private Integer heartbeatTimeout;

    @Value("${scancentral.file-uri-prefix}")
    private String fileUriPrefix;

    @Value("${scancentral.image-transfer.dir}")
    private String transferDir;

    public Integer getHeartbeatTimeout() {
        return heartbeatTimeout;
    }

    public void setHeartbeatTimeout(Integer heartbeatTimeout) {
        this.heartbeatTimeout = heartbeatTimeout;
    }

    public String getFileUriPrefix() {
        return fileUriPrefix;
    }

    public void setFileUriPrefix(String fileUriPrefix) {
        this.fileUriPrefix = fileUriPrefix;
    }

    public String getVersion() {
        return version;
    }

    public String getTransferDir() {
        return transferDir;
    }

    public void setTransferDir(String transferDir) {
        this.transferDir = transferDir;
    }

}
