package cn.com.qmth.scancentral.consumer;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import cn.com.qmth.scancentral.service.SubjectService;
import cn.com.qmth.scancentral.vo.subject.DataExportTaskVo;

@Scope("prototype")
@Service
public class SliceDataExportConsumer implements Runnable {

    private DataExportTaskVo vo;

    @Autowired
    private SubjectService subjectService;

    @Override
    public void run() {
        subjectService.sliceDataExportDispose(vo);
    }

    public DataExportTaskVo getVo() {
        return vo;
    }

    public void setVo(DataExportTaskVo vo) {
        this.vo = vo;
    }

}
