package cn.com.qmth.scancentral.dao;

import cn.com.qmth.scancentral.entity.BatchPaperEntity;
import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BatchPaperDao extends MppBaseMapper<BatchPaperEntity> {

    List<Long> findStudentIdByBatchId(@Param("batchId") Long batchId);

    Integer getScanStudentCount(@Param("examId") Long examId, @Param("subjectCode") String subjectCode,
            @Param("startTime") long startTime, @Param("endTime") long endTime);

}
