package cn.com.qmth.scancentral.dao;

import cn.com.qmth.scancentral.entity.OmrGroupEntity;
import cn.com.qmth.scancentral.vo.OmrGroupVo;
import cn.com.qmth.scancentral.vo.omr.OmrGroupQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

public interface OmrGroupDao extends BaseMapper<OmrGroupEntity> {

    void updateTotalCount(@Param(value = "id") Long id);

    IPage<OmrGroupVo> queryPage(Page<OmrGroupVo> page, @Param("query") OmrGroupQuery query);

}
