package cn.com.qmth.scancentral.dao;

import cn.com.qmth.scancentral.entity.OmrTaskEntity;
import cn.com.qmth.scancentral.enums.TaskStatus;
import cn.com.qmth.scancentral.vo.omr.OmrTaskOverview;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OmrTaskDao extends BaseMapper<OmrTaskEntity> {

    List<OmrTaskEntity> findUnMarked(@Param(value = "groupId") Long groupId,
                                     @Param(value = "startNumber") int startNumber, @Param(value = "pageSize") int pageSize,
                                     @Param(value = "status") TaskStatus status);

    OmrTaskOverview countByExamIdAndFixed(@Param(value = "examId") Long examId, @Param(value = "fixed") Boolean fixed);

}
