package cn.com.qmth.scancentral.entity;

import cn.com.qmth.scancentral.entity.base.BaseEntity;
import cn.com.qmth.scancentral.enums.Role;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;

// 适配卡格式
@TableName("sc_adapte_file")
public class AdapteFileEntity extends BaseEntity {

    private static final long serialVersionUID = 2899842570632873472L;

    @MppMultiId
    private Long examId;

    @MppMultiId
    private Integer cardNumber;

    @MppMultiId
    private Role role;

    @MppMultiId
    private String device;

    private Integer dpi;

    private String uri;

    private String md5;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public Role getRole() {
        return role;
    }

    public void setRole(Role role) {
        this.role = role;
    }

    public Integer getDpi() {
        return dpi;
    }

    public void setDpi(Integer dpi) {
        this.dpi = dpi;
    }

}
