package cn.com.qmth.scancentral.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;

import cn.com.qmth.scancentral.entity.base.AuditingWithoutIdEntity;

// 批次和试卷绑定关系
@TableName("sc_batch_paper")
public class BatchPaperEntity extends AuditingWithoutIdEntity {

    private static final long serialVersionUID = 2688940244963672452L;

    @MppMultiId
    private Long batchId;

    @MppMultiId
    private Long studentId;

    @MppMultiId
    private Integer paperNumber;

    private Long paperId;

    private Integer cardNumber;

    private Boolean assigned;

    private Boolean needCheck;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Integer getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(Integer paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }

    public Boolean getAssigned() {
        return assigned;
    }

    public void setAssigned(Boolean assigned) {
        this.assigned = assigned;
    }

    public Boolean getNeedCheck() {
        return needCheck;
    }

    public void setNeedCheck(Boolean needCheck) {
        this.needCheck = needCheck;
    }
}
