package cn.com.qmth.scancentral.entity;

import cn.com.qmth.scancentral.entity.base.AuditingEntity;
import cn.com.qmth.scancentral.enums.Stage;
import cn.com.qmth.scancentral.handle.OmrConditionListTypeHandler;
import cn.com.qmth.scancentral.model.OmrCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.List;

// 识别对照任务分组
@TableName(value = "sc_omr_group", autoResultMap = true)
public class OmrGroupEntity extends AuditingEntity {

    /**
     *
     */
    private static final long serialVersionUID = 3713052032605963927L;

    private Long examId;

    private String subjectCode;

    private Boolean fixed;

    private Stage stage;

    @TableField(value = "conditions", typeHandler = OmrConditionListTypeHandler.class)
    private List<OmrCondition> conditions;

    private Integer totalCount;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Boolean getFixed() {
        return fixed;
    }

    public void setFixed(Boolean fixed) {
        this.fixed = fixed;
    }

    public Stage getStage() {
        return stage;
    }

    public void setStage(Stage stage) {
        this.stage = stage;
    }

    public List<OmrCondition> getConditions() {
        return conditions;
    }

    public void setConditions(List<OmrCondition> conditions) {
        this.conditions = conditions;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

}
