package cn.com.qmth.scancentral.entity;

import cn.com.qmth.scancentral.entity.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;

import java.io.Serializable;

// 考生和试卷绑定关系
@TableName("sc_student_paper")
public class StudentPaperEntity extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 305711335687760851L;

    @MppMultiId
    private Long studentId;

    @MppMultiId
    private Integer paperNumber;

    private Long paperId;

    public StudentPaperEntity() {

    }

    public StudentPaperEntity(Long studentId, Integer paperNumber, Long paperId) {
        this.studentId = studentId;
        this.paperNumber = paperNumber;
        this.paperId = paperId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Integer getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(Integer paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

}
