package cn.com.qmth.scancentral.enums;

public enum AsyncTaskStatus {

    RUNNING("处理中"), SUCCESS("处理成功"), FAILED("处理失败");

    private String name;

    AsyncTaskStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static AsyncTaskStatus getByName(String name) {
        for (AsyncTaskStatus r : AsyncTaskStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
