package cn.com.qmth.scancentral.enums;

public enum ImageCheckStatus {

    WAITING("未处理"),

    SUCCESS("成功"), FAILED("失败");

    private String name;

    ImageCheckStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static ImageCheckStatus getByName(String name) {
        for (ImageCheckStatus r : ImageCheckStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
