package cn.com.qmth.scancentral.enums;

public enum ImageTransferMode {

    OFF("OFF"),

    CET("CET"),

    OW("OW"),

    ;

    private String name;

    ImageTransferMode(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static ImageTransferMode getByName(String name) {
        for (ImageTransferMode r : ImageTransferMode.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
