package cn.com.qmth.scancentral.enums;

public enum Role {

    SCHOOL_ADMIN("学校管理员"),

    SCAN_ADMIN("扫描管理员"),

    SCANNER("扫描员"),

    AUDITOR("审核员");

    private String name;

    Role(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static Role getByName(String name) {
        for (Role r : Role.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
