package cn.com.qmth.scancentral.enums;

public enum Stage {

    FIRST("第一次"),

    SECOND("第二次");

    private String name;

    Stage(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static Stage getByName(String name) {
        for (Stage r : Stage.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
