package cn.com.qmth.scancentral.enums;

public enum StudentAnswerTaskStatus {

    WAITING("未处理"), PROCESSED("已处理");

    private String name;

    StudentAnswerTaskStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static StudentAnswerTaskStatus getByName(String name) {
        for (StudentAnswerTaskStatus r : StudentAnswerTaskStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
