package cn.com.qmth.scancentral.enums;

public enum TaskStatus {

    WAITING("未处理"), PROCESSED("已处理"), WAIT_ARBITRATE("等待仲裁"), ARBITRATED("已仲裁");

    private String name;

    TaskStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static TaskStatus getByName(String name) {
        for (TaskStatus r : TaskStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
