package cn.com.qmth.scancentral.enums;

public enum UploadStatus {

    WAITING_UPLOAD("待上传"),

    UPLOADED("已上传"),

    ERROR("出错");

    private String name;

    UploadStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static UploadStatus getByName(String name) {
        for (UploadStatus r : UploadStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
