package cn.com.qmth.scancentral.model;

import cn.com.qmth.scancentral.enums.CardSource;

import java.util.List;

/**
 * 云阅卷题卡格式
 */
public class AnswerCardInfo {

    private Long examId;

    private Integer number;

    private String code;

    private Integer dpi;

    private List<String> subjectList;

    private Integer paperCount;

    private String path;

    private String md5;

    private CardSource source;

    private Boolean singlePage;

    private String parameter;

    private String remark;

    private String sliceConfig;

    private Long updateTime;

    public AnswerCardInfo() {
    }

    public AnswerCardInfo(Long examId, Integer number, List<String> subjectList, String parameter, String remark,
            Integer paperCount, Boolean singlePage, Integer dpi) {
        this.examId = examId;
        this.number = number;
        this.subjectList = subjectList;
        this.parameter = parameter;
        this.remark = remark;
        this.paperCount = paperCount;
        this.singlePage = singlePage;
        this.source = CardSource.CLIENT;
        this.dpi = dpi;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Integer getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount) {
        this.paperCount = paperCount;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public CardSource getSource() {
        return source;
    }

    public void setSource(CardSource source) {
        this.source = source;
    }

    public Boolean getSinglePage() {
        return singlePage;
    }

    public void setSinglePage(Boolean singlePage) {
        this.singlePage = singlePage;
    }

    public String getParameter() {
        return parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSliceConfig() {
        return sliceConfig;
    }

    public void setSliceConfig(String sliceConfig) {
        this.sliceConfig = sliceConfig;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public List<String> getSubjectList() {
        return subjectList;
    }

    public void setSubjectList(List<String> subjectList) {
        this.subjectList = subjectList;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getDpi() {
        return dpi;
    }

    public void setDpi(Integer dpi) {
        this.dpi = dpi;
    }

}
