package cn.com.qmth.scancentral.service;

import cn.com.qmth.scancentral.entity.AdapteFileEntity;
import cn.com.qmth.scancentral.enums.Role;
import cn.com.qmth.scancentral.vo.UriVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface AdapteFileService {

    UriVo save(String device, Role role, Long examId, Integer number, String md5, Integer dpi, MultipartFile file);

    List<AdapteFileEntity> listByExamIdAndCardNumber(Long examId, Integer number);

    List<AdapteFileEntity> listByExamIdAndCardNumberForScanner(Long examId, Integer number, String device);

    AdapteFileEntity findByExamIdAndCardNumberAndRoleAndDevice(Long examId, Integer number, Role role, String device);

    void deleteByExamIdAndCardNumber(Long examId, Integer number);

}
