package cn.com.qmth.scancentral.service;

import java.util.List;

import com.github.jeffreyning.mybatisplus.service.IMppService;

import cn.com.qmth.scancentral.entity.AnswerCardSubjectEntity;
import cn.com.qmth.scancentral.vo.SubjectVo;

public interface AnswerCardSubjectService extends IMppService<AnswerCardSubjectEntity> {

    List<SubjectVo> findByExamAndNumber(Long examId, Integer number);

    AnswerCardSubjectEntity findByExamAndNumberAndSubject(Long examId, Integer number, String subjectCode);

    int deleteByExamAndNumber(Long examId, Integer number);

    boolean checkSubject(Long examId, Integer number, String subjectCode);

}
