package cn.com.qmth.scancentral.service;

import java.io.InputStream;

public interface FileService {

    String getAnswerCardUri(Long examId, Integer number);

    void downLoadAnswerCard(Long examId, Integer number, String md5, String uri) throws Exception;

    String getSheetUri(Long examId, Long batchId, String examNumber, Integer paperNumber, Integer pageIndex);

    String getSliceUri(Long examId, Long batchId, String examNumber, Integer paperNumber, Integer pageIndex,
            Integer index);

    String uploadSlice(InputStream ins, String md5, Long examId, Long batchId, String examNumber, Integer paperNumber,
            Integer pageIndex, Integer index);

    String uploadSheet(InputStream ins, String md5, Long examId, Long batchId, String examNumber, Integer paperNumber,
            Integer pageIndex);

    String adminUploadSlice(InputStream in, String md5, Long examId, String examNumber, Integer paperNumber,
            Integer pageIndex, Integer index);

    String getAdminSliceUri(Long examId, String examNumber, Integer paperNumber, Integer pageIndex, Integer index);

    String uploadAnswerCard(InputStream in, String md5, Long examId, Integer number);

    String getAdapteFileUri(Long examId, Integer cardNumber);

    String uploadAdapteFile(InputStream in, String md5, Long examId, Integer number);

    String getAdminSheetUri(Long examId, String examNumber, Integer paperNumber, Integer pageIndex);

    String adminUploadSheet(InputStream in, String md5, Long examId, String examNumber, Integer paperNumber,
            Integer pageIndex);

    String getBreachUri(Long examId, String subjectCode);

    String uploadBreach(InputStream in, String md5, Long examId, String subjectCode);

    String getBreachInfoUri(Long examId, String subjectCode);

    String uploadBreachInfo(InputStream in, String md5, Long examId, String subjectCode);

    String uploadCustStatusInfo(InputStream in, String md5, Long examId, String subjectCode);

    String getCustStatusInfoUri(Long examId, String subjectCode);

    String uploadCustStatus(InputStream in, String md5, Long examId, String subjectCode);

    String getCustStatusUri(Long examId, String subjectCode);

}
