package cn.com.qmth.scancentral.service;

import cn.com.qmth.scancentral.bean.CardAnswerDomain;
import cn.com.qmth.scancentral.entity.ScannerCardEntity;
import cn.com.qmth.scancentral.vo.UpdateCountVo;
import com.github.jeffreyning.mybatisplus.service.IMppService;

import java.util.List;

public interface ScannerCardService extends IMppService<ScannerCardEntity> {

    List<ScannerCardEntity> getListByExamAndDevice(Long examId, String account);

    UpdateCountVo cardAnswer(CardAnswerDomain domain);

    int getCountByExamAndDevice(Long examId, String account);

    int deleteByExamAndCardNumber(Long examId, Integer cardNumber);

}
