package cn.com.qmth.scancentral.service;

import cn.com.qmth.scancentral.bean.User;

public interface SessionService {

    Long updateUserSession(User user);

    void clearTimeOutUser();

    void userLogout(User user);

    void userLogin(User user);

    User getSessionUser(String sessionId);

    int getOnlineCount();

    boolean checkScannerOnline(String device);

    int getOnlineScannerCount();

    int getOnlineAuditorCount();

    boolean checkAuditorOnline(String loginName);

}
