package cn.com.qmth.scancentral.service;

import cn.com.qmth.scancentral.entity.StudentPaperEntity;
import cn.com.qmth.scancentral.vo.StudentPaperCountVo;
import com.github.jeffreyning.mybatisplus.service.IMppService;

import java.util.List;

/**
 * 鉴权
 */
public interface StudentPaperService extends IMppService<StudentPaperEntity> {

    Integer countByStudentId(Long studentId);

    List<StudentPaperEntity> findPaperIdByExamId(Long examId);

    StudentPaperEntity findByStudentIdAndPaperNumber(Long studentId, Integer number);

    List<StudentPaperEntity> findByStudentId(Long studentId);

    List<StudentPaperCountVo> findStudentPaperCount(List<Long> studentIds);

    void removeByStudentId(Long studentId);

    StudentPaperEntity findByPaperId(Long paperId);

    List<Long> findStudentIdByExamId(Long examId, String subjectCode);

}
