package cn.com.qmth.scancentral.service.impl;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.jeffreyning.mybatisplus.service.MppServiceImpl;

import cn.com.qmth.scancentral.dao.PackageResultDao;
import cn.com.qmth.scancentral.entity.PackageResultEntity;
import cn.com.qmth.scancentral.service.PackageResultService;

@Service
public class PackageResultServiceImpl extends MppServiceImpl<PackageResultDao, PackageResultEntity>
        implements PackageResultService {

    @Override
    public int getCountByExam(Long examId) {
        QueryWrapper<PackageResultEntity> wrapper = new QueryWrapper<>();
        LambdaQueryWrapper<PackageResultEntity> lw = wrapper.lambda();
        lw.eq(PackageResultEntity::getExamId, examId);
        return this.count(wrapper);
    }
}
