package cn.com.qmth.scancentral.task;

import cn.com.qmth.scancentral.service.BatchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
public class UpdateBatchCountJob {

    @Autowired
    private BatchService batchService;

    @Scheduled(cron = "0/10 * * * * ?")
    public void UpdateBatchCount() {
        batchService.updateBatchCount();
    }
}
