package cn.com.qmth.scancentral.util;

import java.math.BigDecimal;
import java.math.RoundingMode;

public class MathUtil {

    /**
     * 计算百分比 (默认保留2位小数，超出位数则截断不四舍五入)
     */
    public static double percentage(double value1, double value2) {
        if (value2 == 0d) {
            return 0d;
        }
        double x = value1 * 100d / value2;
        BigDecimal _value = new BigDecimal(Double.toString(x));
        BigDecimal one = new BigDecimal("1");
        return _value.divide(one, 2, RoundingMode.DOWN).doubleValue();
    }

}
