package cn.com.qmth.scancentral.vo;

import cn.com.qmth.scancentral.bean.User;
import cn.com.qmth.scancentral.enums.Role;

public class AdminLoginVo {

    private String name;

    private String sessionId;

    private String accessToken;

    private Role role;

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public Role getRole() {
        return role;
    }

    public void setRole(Role role) {
        this.role = role;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static AdminLoginVo of(User user) {
        AdminLoginVo v = new AdminLoginVo();
        v.setAccessToken(user.getAccessToken());
        v.setRole(user.getRole());
        v.setSessionId(user.getSessionId());
        v.setName(user.getName());
        return v;
    }
}
