package cn.com.qmth.scancentral.vo;

import cn.com.qmth.scancentral.entity.AdapteFileEntity;
import cn.com.qmth.scancentral.entity.AnswerCardEntity;
import cn.com.qmth.scancentral.enums.CardSource;

import java.util.List;

public class AnswerCardVo {

    private Integer number;

    private String code;

    private Integer paperCount;

    private List<SubjectVo> subjectList;

    private String uri;

    private String md5;

    private Integer dpi;

    private CardSource source;

    private Boolean needAdapte;

    private Boolean singlePage;

    private String parameter;

    private String remark;

    private Long updateTime;

    private Boolean enable;

    private List<AdapteFileEntity> adapteFile;

    public AnswerCardVo(AnswerCardEntity a) {
        this.md5 = a.getMd5();
        this.number = a.getNumber();
        this.code = a.getCode();
        this.needAdapte = a.getNeedAdapte();
        this.paperCount = a.getPaperCount();
        this.parameter = a.getParameter();
        this.remark = a.getRemark();
        this.singlePage = a.getSinglePage();
        this.source = a.getSource();
        this.updateTime = a.getUpdateTime();
        this.uri = a.getPath();
        this.dpi = a.getDpi();
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Integer getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount) {
        this.paperCount = paperCount;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public Boolean getSinglePage() {
        return singlePage;
    }

    public void setSinglePage(Boolean singlePage) {
        this.singlePage = singlePage;
    }

    public String getParameter() {
        return parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public CardSource getSource() {
        return source;
    }

    public void setSource(CardSource source) {
        this.source = source;
    }

    public Boolean getNeedAdapte() {
        return needAdapte;
    }

    public void setNeedAdapte(Boolean needAdapte) {
        this.needAdapte = needAdapte;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public List<AdapteFileEntity> getAdapteFile() {
        return adapteFile;
    }

    public void setAdapteFile(List<AdapteFileEntity> adapteFile) {
        this.adapteFile = adapteFile;
    }

    public List<SubjectVo> getSubjectList() {
        return subjectList;
    }

    public void setSubjectList(List<SubjectVo> subjectList) {
        this.subjectList = subjectList;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getDpi() {
        return dpi;
    }

    public void setDpi(Integer dpi) {
        this.dpi = dpi;
    }

}
