package cn.com.qmth.scancentral.vo;

import cn.com.qmth.scancentral.enums.Stage;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class OmrGroupVo {

    private Long id;

    private String subjectCode;

    private String subjectName;

    private Boolean fixed;

    private Stage stage;

    private List<OmrConditionVo> conditions;

    // 待处理数
    private Integer todoCount;

    @ApiModelProperty(value = "是否正在重置任务")
    private Boolean reseting;

    @ApiModelProperty(value = "是否正在生成任务")
    private Boolean building;

    @ApiModelProperty(value = "是否正在删除")
    private Boolean deleting;

    @ApiModelProperty(value = "任务总数")
    private Integer totalCount;

    @ApiModelProperty(value = "任务完成数")
    private Integer finishCount;

    @ApiModelProperty(value = "待仲裁数量")
    private Integer unarbitrateCount;

    @ApiModelProperty(value = "已仲裁数量")
    private Integer arbitratedCount;

    private Long updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Boolean getFixed() {
        return fixed;
    }

    public void setFixed(Boolean fixed) {
        this.fixed = fixed;
    }

    public Stage getStage() {
        return stage;
    }

    public void setStage(Stage stage) {
        this.stage = stage;
    }

    public List<OmrConditionVo> getConditions() {
        return conditions;
    }

    public void setConditions(List<OmrConditionVo> conditions) {
        this.conditions = conditions;
    }

    public Boolean getReseting() {
        return reseting;
    }

    public void setReseting(Boolean reseting) {
        this.reseting = reseting;
    }

    public Boolean getBuilding() {
        return building;
    }

    public void setBuilding(Boolean building) {
        this.building = building;
    }

    public Boolean getDeleting() {
        return deleting;
    }

    public void setDeleting(Boolean deleting) {
        this.deleting = deleting;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public Integer getUnarbitrateCount() {
        return unarbitrateCount;
    }

    public void setUnarbitrateCount(Integer unarbitrateCount) {
        this.unarbitrateCount = unarbitrateCount;
    }

    public Integer getArbitratedCount() {
        return arbitratedCount;
    }

    public void setArbitratedCount(Integer arbitratedCount) {
        this.arbitratedCount = arbitratedCount;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getTodoCount() {
        return todoCount;
    }

    public void setTodoCount(Integer todoCount) {
        this.todoCount = todoCount;
    }

}
