package cn.com.qmth.scancentral.vo.imagecheck;

import cn.com.qmth.scancentral.enums.ImageCheckStatus;
import cn.com.qmth.scancentral.util.PagerQuery;
import io.swagger.annotations.ApiModelProperty;

public class ImageCheckQuery extends PagerQuery {

    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "科目代码")
    private String subjectCode;

    @ApiModelProperty(value = "图片检查状态", hidden = true)
    private ImageCheckStatus imageCheckStatus;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public ImageCheckStatus getImageCheckStatus() {
        return imageCheckStatus;
    }

    public void setImageCheckStatus(ImageCheckStatus imageCheckStatus) {
        this.imageCheckStatus = imageCheckStatus;
    }

}
