package cn.com.qmth.scancentral.vo.marksite;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class MarkSiteDomain {

    private Long id;

    @NotNull(message = "考试ID不能为空")
    private Long examId;

    @NotBlank(message = "科目代码不能为空")
    private String subjectCode;

    @NotBlank(message = "条码值不能为空")
    private String paperType;

    // 奇数考场评卷点代码
    @NotBlank(message = "奇数考场评卷点代码不能为空")
    private String oddNumber;

    // 偶数考场评卷点代码
    @NotBlank(message = "偶数考场评卷点代码不能为空")
    private String evenNumber;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getOddNumber() {
        return oddNumber;
    }

    public void setOddNumber(String oddNumber) {
        this.oddNumber = oddNumber;
    }

    public String getEvenNumber() {
        return evenNumber;
    }

    public void setEvenNumber(String evenNumber) {
        this.evenNumber = evenNumber;
    }

}
