package cn.com.qmth.scancentral.vo.student;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;

import cn.com.qmth.scancentral.enums.ScanStatus;

public class StudentPageVo {

    private Long id;

    @ExcelColumn(name = "准考证号", index = 2)
    private String examNumber;

    @ExcelColumn(name = "姓名", index = 3)
    private String name;

    @ExcelColumn(name = "科目代码", index = 0)
    private String subjectCode;

    @ExcelColumn(name = "科目名称", index = 1)
    private String subjectName;

    @ExcelColumn(name = "卷带号", index = 7)
    private String packageCode;

    private String campusName;

    @ExcelColumn(name = "校区", index = 5)
    private String campusCode;

    @ExcelColumn(name = "考点", index = 4)
    private String examSite;

    private String examSiteName;

    @ExcelColumn(name = "考场号", index = 6)
    private String examRoom;

    private String seatNumber;

    private ScanStatus status;

    @ExcelColumn(name = "扫描状态", index = 8)
    private String scanned;

    private String device;

    @ExcelColumn(name = "设备名", index = 9)
    private String deviceName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public String getCampusName() {
        return campusName;
    }

    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getSeatNumber() {
        return seatNumber;
    }

    public void setSeatNumber(String seatNumber) {
        this.seatNumber = seatNumber;
    }

    public String getCampusCode() {
        return campusCode;
    }

    public void setCampusCode(String campusCode) {
        this.campusCode = campusCode;
    }

    public void setExamSiteName(String examSiteName) {
        this.examSiteName = examSiteName;
    }

    public ScanStatus getStatus() {
        return status;
    }

    public void setStatus(ScanStatus status) {
        this.status = status;
    }

    public String getExamSiteName() {
        return examSiteName;
    }

    public String getScanned() {
        return scanned;
    }

    public void setScanned(String scanned) {
        this.scanned = scanned;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

}
